uk.gov.hmrc.payeestimator.services

# TaxCalculatorService

###
Related Doc: package services

#### trait TaxCalculatorService extends TaxCalculatorHelper

Linear Supertypes
TaxCalculatorHelper, AnyRef, Any
Known Subclasses
LiveTaxCalculatorService
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TaxCalculatorService
2. TaxCalculatorHelper
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract val nicTaxCalculatorService: NICTaxCalculatorService

2. #### abstract val payeTaxCalculatorService: PAYETaxCalculatorService

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def annualiseGrossPay(grossPayPence: Long, hours: Option[Int], payPeriod: String): Money

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def buildTaxCalc(isStatePensionAge: String, taxCalcResource: TaxCalcResource, taxCode: String, grossPayPence: Int, payPeriod: String, hoursIn: Int): TaxCalc

7. #### def calculateAverageAnnualTaxRate(annualTaxBreakdown: Option[TaxBreakdown]): Money

8. #### def calculateScottishElement(payeTaxAmount: Money, taxCode: String, taxCalcResource: TaxCalcResource): Option[BigDecimal]

9. #### def calculateTax(isStatePensionAge: String, date: String, taxCode: String, grossPayPence: Int, payPeriod: String, hoursIn: Int): String

   Annotations
     @JSExport()

10. #### def calculateTax(isStatePensionAge: String, date: LocalDate, taxCode: String, grossPayPence: Int, payPeriod: String, hoursIn: Int): String

    Annotations
      @JSExport()

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def convertToBoolean(isStatePensionAge: String): Boolean

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

18. #### def isAdjustedTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

19. #### def isBasicRateTaxCode(taxCode: String, isScottish: Boolean = false): Boolean

    Definition Classes
      TaxCalculatorHelper

20. #### def isEmergencyTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): Boolean

    Definition Classes
      TaxCalculatorHelper

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### def isStandardTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

23. #### def isTaxableCode(taxCode: String, isScottish: Boolean = false): Boolean

    Definition Classes
      TaxCalculatorHelper

24. #### def isUnTaxedIncomeTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

25. #### def isValidScottishTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

26. #### def isValidTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): Boolean

    Definition Classes
      TaxCalculatorHelper

27. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

28. #### final def notify(): Unit

    Definition Classes
      AnyRef

29. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

30. #### def parseDate(date: String): LocalDate

    Annotations
      @JSExport()

31. #### def rateLimit(limitType: String): PartialFunction[RateLimit, Money]

    Definition Classes
      TaxCalculatorHelper

32. #### def removeScottishElement(taxCode: String): String

    Definition Classes
      TaxCalculatorHelper

33. #### def splitTaxCode(taxCode: String): String

    Definition Classes
      TaxCalculatorHelper

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from TaxCalculatorHelper

### Inherited from AnyRef

### Inherited from Any

### Ungrouped